'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var core = require('@angular/core');
var ionicNativeCore = require('@laurentgoudet/ionic-native-core');
var rxjs = require('rxjs');

var JinsMeme = /** @class */ (function (_super) {
    tslib.__extends(JinsMeme, _super);
    function JinsMeme() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    JinsMeme.prototype.setAppClientID = function (appClientId, clientSecret) { return ionicNativeCore.cordova(this, "setAppClientID", {}, arguments); };
    JinsMeme.prototype.startScan = function () { return ionicNativeCore.cordova(this, "startScan", { "observable": true, "clearFunction": "stopScan", "clearWithArgs": true }, arguments); };
    JinsMeme.prototype.stopScan = function () { return ionicNativeCore.cordova(this, "stopScan", {}, arguments); };
    JinsMeme.prototype.connect = function (target) {
        var _this = this;
        return (function () {
            if (ionicNativeCore.checkAvailability(_this) === true) {
                return new rxjs.Observable(function (observer) {
                    var data = ionicNativeCore.cordova.plugins.JinsMemePlugin.connect(target, observer.next.bind(observer), observer.complete.bind(observer), observer.error.bind(observer));
                    return data;
                });
            }
        })();
    };
    JinsMeme.prototype.setAutoConnect = function (flag) { return ionicNativeCore.cordova(this, "setAutoConnect", {}, arguments); };
    JinsMeme.prototype.isConnected = function () { return ionicNativeCore.cordova(this, "isConnected", {}, arguments); };
    JinsMeme.prototype.disconnect = function () { return ionicNativeCore.cordova(this, "disconnect", {}, arguments); };
    JinsMeme.prototype.startDataReport = function () { return ionicNativeCore.cordova(this, "startDataReport", { "observable": true, "clearFunction": "stopDataReport", "clearWithArgs": true }, arguments); };
    JinsMeme.prototype.stopDataReport = function () { return ionicNativeCore.cordova(this, "stopDataReport", {}, arguments); };
    JinsMeme.prototype.getSDKVersion = function () { return ionicNativeCore.cordova(this, "getSDKVersion", {}, arguments); };
    JinsMeme.prototype.getConnectedByOthers = function () { return ionicNativeCore.cordova(this, "getConnectedByOthers", {}, arguments); };
    JinsMeme.prototype.isCalibrated = function () { return ionicNativeCore.cordova(this, "isCalibrated", {}, arguments); };
    JinsMeme.prototype.getConnectedDeviceType = function () { return ionicNativeCore.cordova(this, "getConnectedDeviceType", {}, arguments); };
    JinsMeme.prototype.getConnectedDeviceSubType = function () { return ionicNativeCore.cordova(this, "getConnectedDeviceSubType", {}, arguments); };
    JinsMeme.prototype.getFWVersion = function () { return ionicNativeCore.cordova(this, "getFWVersion", {}, arguments); };
    JinsMeme.prototype.getHWVersion = function () { return ionicNativeCore.cordova(this, "getHWVersion", {}, arguments); };
    JinsMeme.prototype.isDataReceiving = function () { return ionicNativeCore.cordova(this, "isDataReceiving", {}, arguments); };
    JinsMeme.pluginName = "JINS MEME";
    JinsMeme.plugin = "cordova-plugin-jins-meme";
    JinsMeme.pluginRef = "JinsMemePlugin";
    JinsMeme.repo = "https://github.com/BlyncSync/cordova-plugin-jins-meme";
    JinsMeme.platforms = ["Android", "iOS"];
    JinsMeme = tslib.__decorate([
        core.Injectable()
    ], JinsMeme);
    return JinsMeme;
}(ionicNativeCore.IonicNativePlugin));

exports.JinsMeme = JinsMeme;
